Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package reify
  Definition Classes
    reflect
-  package codegen
  Definition Classes
    reify
-  package phases
  Definition Classes
    reify
-  package utils
  Definition Classes
    reify
- Errors
- Phases
- Reifier
- States
- Taggers

t

scala.reflect.reify

# Errors

###

#### trait Errors extends AnyRef

Self Type
  Reifier
Source
  Errors.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ApplyReifier, Reifier, UnapplyReifier, Reifier
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Errors
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Errors toany2stringadd[Errors] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Errors, B)
   Implicit
     This member is added by an implicit conversion from Errors toArrowAssoc[Errors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def CannotConvertManifestToTagWithoutScalaReflect(tpe: tools.nsc.Global.Type, manifestInScope: tools.nsc.Global.Tree): Nothing
7.  def CannotReifyCompoundTypeTreeWithNonEmptyBody(ctt: tools.nsc.Global.CompoundTypeTree): Nothing
8.  def CannotReifyErroneousPrefix(prefix: tools.nsc.Global.Tree): Nothing
9.  def CannotReifyErroneousReifee(reifee: Any): Nothing
10.  def CannotReifyInvalidLazyVal(tree: tools.nsc.Global.ValDef): Nothing
11.  def CannotReifyRuntimeSplice(tree: tools.nsc.Global.Tree): Nothing
12.  def CannotReifyType(tpe: tools.nsc.Global.Type): Nothing
13.  def CannotReifyUntypedPrefix(prefix: tools.nsc.Global.Tree): Nothing
14.  def CannotReifyUntypedReifee(reifee: Any): Nothing
15.  def CannotReifyWeakType(details: Any): Nothing
16.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  def defaultErrorPosition: tools.nsc.Global.Position
19.  def ensuring(cond: (Errors) => Boolean, msg: => Any): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: (Errors) => Boolean): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  def ensuring(cond: Boolean, msg: => Any): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
22.  def ensuring(cond: Boolean): Errors
    Implicit
      This member is added by an implicit conversion from Errors toEnsuring[Errors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
25.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
26.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Errors toStringFormat[Errors] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Errors, B)
   Implicit
     This member is added by an implicit conversion from Errors toArrowAssoc[Errors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromErrors to any2stringadd[Errors]

### Inherited by implicit conversion StringFormat fromErrors to StringFormat[Errors]

### Inherited by implicit conversion Ensuring fromErrors to Ensuring[Errors]

### Inherited by implicit conversion ArrowAssoc fromErrors to ArrowAssoc[Errors]

### Ungrouped